package com.psg.dlsysinfo.dl_sysinfo_server.dto;

public class UserDTO {
    private Long id;
    private String username;
    private String displayName;
    private String firstName;
    private String lastName;
    private String email;
    private String role;
    private String clientIdentifier;
    private String clientName;
    private boolean enabled;

    public UserDTO() {}

    public UserDTO(Long id, String username, String displayName, String firstName, String lastName,
                   String email, String role, String clientIdentifier,String clientName, boolean enabled) {
        this.id = id;
        this.username = username;
        this.displayName = displayName;
        this.firstName = firstName;
        this.lastName = lastName;
        this.email = email;
        this.role = role;
        this.clientIdentifier = clientIdentifier;
        this.clientName = clientName;
        this.enabled = enabled;
    }

    // Getters
    public Long getId() { return id; }
    public String getUsername() { return username; }
    public String getDisplayName() { return displayName; }
    public String getFirstName() { return firstName; }
    public String getLastName() { return lastName; }
    public String getEmail() { return email; }
    public String getRole() { return role; }
    public String getClientIdentifier() { return clientIdentifier; }
    public boolean isEnabled() { return enabled; }
    public String getClientName() { return clientName; }

    // Setters
    public void setId(Long id) { this.id = id; }
    public void setUsername(String username) { this.username = username; }
    public void setDisplayName(String displayName) { this.displayName = displayName; }
    public void setFirstName(String firstName) { this.firstName = firstName; }
    public void setLastName(String lastName) { this.lastName = lastName; }
    public void setEmail(String email) { this.email = email; }
    public void setRole(String role) { this.role = role; }
    public void setClientIdentifier(String clientIdentifier) { this.clientIdentifier = clientIdentifier; }
    public void setEnabled(boolean enabled) { this.enabled = enabled; }
    public void setClientName(String clientName) { this.clientName = clientName; }
}
